﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.01.007 Заполнение справочника учетных точек и кнопок учетных точек

Сценарий: 08_piece_rate_calculation.01.007 Создание учетной точки Выпуск опер.учет
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Посолка'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'				|
		| 'Оперативный учет на рабочем центре'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать пакеты'
	И я устанавливаю флаг 'Печатать этикетку партии'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Бассейн соления'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе контейнеров'
	И я нажимаю кнопку выбора у поля 'Характеристика выпуска'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'На созревании'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Посолка (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 08_piece_rate_calculation.01.007 Создание учетной точки Перемещения
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Перемещения'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Перемещения (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Перемещение между камерами'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                          |
		| 'Оперативный учет на рабочем центре' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Перемещение'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Бассейн соления' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Перемещения (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 08_piece_rate_calculation.01.007 Создание учетной точки Выпуск Работа с заданиями
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Сырцех'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Варки сыра'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выпуск'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Бассейн соления' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, материал  из спецификации'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'	
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Покинуть рабочее место'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Формирование состава бригады' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 08_piece_rate_calculation.01.007 Создание учетной точки Поступление
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Поступления'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Поступления (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Поступление сырья'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                    |
		| 'Приемка по документам (мясо)' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Указывать данные о принимаемой партии'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Поступление материалов'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'                    |
		| 'Приемка по документам (мясо)' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Указывать данные о принимаемой партии'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Поступления (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'